- Qt 5.15
- Qt Charts
- C++ Classes
- QLineSeries
- Qt Charts | Commercial or GPLv3

# QLineSeries Class

The QLineSeries class presents data in line charts. More...

Header: | #include <QLineSeries>
Instantiated By: | LineSeries
Inherits: | QXYSeries
Inherited By: | QSplineSeries

- List of all members, including inherited members

## Public Functions

| QLineSeries(QObject *parent = nullptr)
virtual | ~QLineSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const override

## Detailed Description

A line chart is used to show information as a series of data points connected by straight lines.

Creating a basic line chart is simple:

     QLineSeries* series = new QLineSeries();
     series->append(0, 6);
     series->append(2, 4);
     ...
     chart->addSeries(series);

## Member Function Documentation

### QLineSeries::QLineSeries(QObject *parent = nullptr)

Constructs an empty series object that is a child of parent. When the series object is added to a QChartView or QChart instance, the ownership is transferred.

### `[virtual]` QLineSeries::~QLineSeries()

Destroys the object. Series added to QChartView or QChart instances are owned by the instances and deleted when the instances are destroyed.

### `[override virtual]` QAbstractSeries::SeriesType QLineSeries::type() const

Reimplements an access function for property: QAbstractSeries::type.